# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectManager

Packages that use ISharedObjectManager
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectManager in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectManager
Modifier and Type
Method
Description
`ISharedObjectManager`
ISharedObjectContainer.`getSharedObjectManager()`
Get SharedObjectManager for this container
`ISharedObjectManager`
ISharedObjectContext.`getSharedObjectManager()`
Get the ISharedObjectManager for this context

## Uses of ISharedObjectManager in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement ISharedObjectManager
Modifier and Type
Class
Description
`class`
`SOManager`
Methods in org.eclipse.ecf.provider.generic that return ISharedObjectManager
Modifier and Type
Method
Description
`ISharedObjectManager`
SOContainer.`getSharedObjectManager()`
`ISharedObjectManager`
SOContext.`getSharedObjectManager()`